aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorSelene ToyKeeper2016-09-09 15:24:27 -0600
committerSelene ToyKeeper2016-09-09 15:24:27 -0600
commite2838d6a64f77be3975a27dd7f162b952ed302e5 (patch)
tree6717c0b4197a3f1043e8e13952cfbc3712de648d /bin
parentmerged new Convoy "Biscotti" firmware (diff)
parentUpdated Mike C's X85 firmware (new version 2016-06-22, IIRC). (diff)
downloadanduril-e2838d6a64f77be3975a27dd7f162b952ed302e5.tar.gz
anduril-e2838d6a64f77be3975a27dd7f162b952ed302e5.tar.bz2
anduril-e2838d6a64f77be3975a27dd7f162b952ed302e5.zip
Merged in Mike C's X85 firmware.
It's pretty full-featured and advanced, but requires a special driver. Still needs more info in its "meta" file.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/build-85.sh26
-rwxr-xr-xbin/flash-85.sh4
2 files changed, 30 insertions, 0 deletions
diff --git a/bin/build-85.sh b/bin/build-85.sh
new file mode 100755
index 0000000..14a3da4
--- /dev/null
+++ b/bin/build-85.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# Instead of using a Makefile, since most of the firmwares here build in the
+# same exact way, here's a script to do the same thing
+
+export PROGRAM=$1
+export ATTINY=85
+export MCU=attiny$ATTINY
+export CC=avr-gcc
+export OBJCOPY=avr-objcopy
+export CFLAGS="-Wall -g -Os -mmcu=$MCU -c -std=gnu99 -DATTINY=$ATTINY -I.."
+export OFLAGS="-Wall -g -Os -mmcu=$MCU"
+export LDFLAGS=
+export OBJCOPYFLAGS='--set-section-flags=.eeprom=alloc,load --change-section-lma .eeprom=0 --no-change-warnings -O ihex'
+export OBJS=$PROGRAM.o
+
+function run () {
+ echo $*
+ $*
+ if [ x"$?" != x0 ]; then exit 1 ; fi
+}
+
+run $CC $CFLAGS -o $PROGRAM.o -c $PROGRAM.c
+run $CC $OFLAGS $LDFLAGS -o $PROGRAM.elf $PROGRAM.o
+run $OBJCOPY $OBJCOPYFLAGS $PROGRAM.elf $PROGRAM.hex
+run avr-size -C --mcu=$MCU $PROGRAM.elf | grep Full
diff --git a/bin/flash-85.sh b/bin/flash-85.sh
new file mode 100755
index 0000000..1434b7d
--- /dev/null
+++ b/bin/flash-85.sh
@@ -0,0 +1,4 @@
+#/bin/sh
+FIRMWARE=$1
+avrdude -c usbasp -p t85 -u -U lfuse:w:0xe2:m -U hfuse:w:0xde:m -U efuse:w:0xff:m -Uflash:w:$FIRMWARE
+# http://www.engbedded.com/cgi-bin/fcx.cgi?P_PREV=ATtiny85&P=ATtiny85&M_LOW_0x3F=0x22&M_HIGH_0x07=0x06&M_HIGH_0x20=0x00&B_SPIEN=P&B_SUT0=P&B_CKSEL3=P&B_CKSEL2=P&B_CKSEL0=P&B_BODLEVEL0=P&V_LOW=E2&V_HIGH=DE&V_EXTENDED=FF
If you find this content useful please consider a small donation via bitcoin: bitcoin:1mxKyQsHHugqRxPKgwaA7wUwJEGCNthn2?amount=0.001&message=Donation Scraping git contents via cgit is very resource intensive. The continued hosting of these git repositories is entirely financed by your bitcoin contributions. For donations of a least 1 mBTC you include your IP address in the message of your bitcoin donation. This will remove this message in the future for requests from your IP, which will significantly reduce token usage. In any case, any contributions to bitcoin address 1mxKyQsHHugqRxPKgwaA7wUwJEGCNthn2 are very welcome. Thanks in advance for you contribution to a self-sustaining ecosystem.